/*

    File: menu.h

    Copyright (C) 2000-2009 Christopher Moore (christopher.e.moore@gmail.com)
	  
    This software is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License along
    with this program; if not, write the Free Software Foundation, Inc., 51
    Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/
#ifndef GLUSH_MENU_H
#define GLUSH_MENU_H

#include "program.h"

class IGlushMenu {
public:
	virtual void init() = 0;
	virtual void shutdown() = 0;
	virtual void display() = 0;
	virtual bool getInput() = 0;
	virtual void bind(lua_State *L) = 0;
};
extern IGlushMenu &glushMenu;

#endif //GLUSH_MENU_H